Subject: Directorate - Re: [Sipping] Re: [Sip] Thoughts on the Principle of DividingandConquering

From: Cullen Jennings <[email-masked]>
Date: Wed, 01 Mar 2006 09:30:25 -0800

I think this thread has had proposal for a few types of Directorates.

Coaches/Helpers: These people would work with authors and help get them
specific drafts finished.

Cleaners: If the directorate does not like your idea, we toss it out and
don't making it a WG item.

It's not at all clear to me that we would want to have a directorate that
was an additional stage of process that you needed to get to approve a
draft. (Never mind if this would even be allowed)

Experienced people to help get drafts done can often be useful for both
experienced and new authors. We could make this happen with or without a
directorate. All we need is some volunteers that time to help and some
drafts that need help. We may be surprised to find that many people think
their drafts are fine but that everyone else drafts need help.

I went and asked a few random people who might go on a directorate and got
some names. I went and asked a few random people who was writing critical
drafts that needed to be finished and was taking too long. I got almost the
same list of names.

let's start thinking about what drafts could be helped, who has time to do
this, and what exactly they would do. If we have answers to these, I'm sure
we can figure out an appropriate structure to make it happen.

On 2/27/06 5:08 PM, "Jean-Francois Mule" <[email-masked]> wrote:

> 
> There's been a great deal of good questions and great ideas exchanged on
> this thread. Folks seem to have various opinions on what the facets of
> the problem are, what the metrics are to evaluate improvement, who the
> stakeholders are, and who should benefit from those improvements.
> 
> Below are some personal thoughts reading the current thread and
> re-hashing it in the light of the above questions.
> 
> 
> --- problem statement
> It would be a plus to better characterize the problem.
>  - is it about increasing the quantity of the work output?
>    getting more RFCs out in a calendar year - Henning & everyone
> 
>  - is it about the quality of work output?
> do we have a bottleneck because we always have to have so and so agree
> on the directions of the ID? If this is true, let's build a formal
> directorate as was proposed: I believe it de-facto exists today in
> sip/sipping and is required given the complexity of some work items.
> Should working code suffice at the risk of coming back to some RFCs
> (Henry) and classifying some work as experimental at first, historical
> later on?  
> 
>  - is it about raising the perceived level of satisfaction of some SDOs?
> 
> Forking out non-generic usage or lowering the bar for p-headers: does
> this really help SIP? Who are those SDOs and do their liaison reps have
> any opinion? Dean et al.
> 
>  - is it about the pace of high priority I-Ds?
> suggested by a few: if only we were certain that the 5 published SIPPING
> RFC in 2005 at the top priority ones... The meaning of priority here is
> interesting- we won't get consensus on that... today, it seems set by
> the defacto directorate
> 
>  - is it just about wg chair management overload on administrative
> tasks?
> btw - my sincere recognition for the load the wg chairs and many of the
> directorate members collectively carry.
> 
>  - could it be a typical project mgmt pb?
> Never ending expanding scope, lack of resources: be it directorate
> members, project champions or just stakeholders to get the work done,
> and no real schedule: ID authors provide their own milestones and
> deadlines, the wg comments change the focus of an ID, the more it lasts
> the more authors have difficulties getting back to it and folks just can
> be held to the deadlines?
> 
> I think some areas in SIPPING exhibit different problems and some
> compromise have to be made to meet some improvement goals. Doctor
> Willis, the diagnosed dialysis seems to exhibit multiple symptoms.
> 
> --- some thoughts
> I like the suggestions Dean, Henning and many others have put forward to
> solve pieces of the problem. I think some should be tried in parallel as
> some areas of SIPPING and after say 9 months, do a status check:
> - add one new wg charter for a very short period of time with
> well-known "high" priority IDs and strict milestones. And as Mike
> proposed, define conditions for terminating the wg in case of failures.
> - formalize the directorate and have a process by which clear
> directions come out of it on specific IDs in between meetings.
> - name a few folks willing to be project champions and try out
> Mike's ID finish marathon proposal (sipping-config could be one of them)
> but please, empower them to recommend conclusion of the work item - "we
> are done on this, this is good enough - let's ship it".
> 
> A body that puts itself in question like the IETF is doing (proto, etc.,
> or Brian C's recent critique of RFC2026) or this thread in sip/sipping
> is half way to solving the pb. What is the problem?
> 
> Jean-Francois.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Wed, 01 Mar 2006 13:03:52 -0600

Cullen Jennings wrote:
> Coaches/Helpers: These people would work with authors and help get
> them specific drafts finished.
> 
> Cleaners: If the directorate does not like your idea, we toss it out
> and don't making it a WG item.
> 
> It's not at all clear to me that we would want to have a directorate
> that was an additional stage of process that you needed to get to
> approve a draft. (Never mind if this would even be allowed)

Clearly, the "Cleaner" directorate is out of question (I can
imagine conversations like "The SIP Ministry of Prevention of
Interoperability Problems and Promotion of Their Own Ideas do
not like your work.  Your draft is now dead!") ;-)

When I had suggested the use of a SIP directorate, I had in mind
one more along the line of Coaches/Helpers, but something more.
And that is the fact that we ought to put people in the directorate
that know SIP both at the protocol layer as well as at the
architectural level.

When a contributor writes a draft on a new whiz-bang idea, their
aim is to solve the particular problem that is itching them.
Often times, they are not concerned with the overall integrity
of the protocol or the ramifications it may have architecting
SIP systems.

It is fruitful to have access to these people at an early time
in the life of an I-D.  Otherwise, time is wasted debating merits
of doing one thing over another.

Now, if it is the case that the set of contributors == set of
participants in the SIP directorate, then we are at an impasse
that I am not sure how to solve.

Thanks,

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Bell Laboratories, Lucent Technologies, Inc.
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP